gi-pango-1.0.30: Pango bindings

Copyright | Will Thompson and Iñaki García Etxebarria
License | LGPL-2.1
Maintainer | Iñaki García Etxebarria
Safe Haskell | None
Language | Haskell2010

GI.Pango.Structs.GlyphVisAttr

Contents

- Exported types
- Methods
- Properties
  - isClusterStart
  - isColor

Description

A `PangoGlyphVisAttr` structure communicates information between the shaping and rendering phases.

Currently, it contains cluster start and color information. More attributes may be added in the future.

Clusters are stored in visual order, within the cluster, glyphs are always ordered in logical order, since visual order is meaningless; that is, in Arabic text, accent glyphs follow the glyphs for the base character.

Synopsis

- newtype GlyphVisAttr = GlyphVisAttr (ManagedPtr GlyphVisAttr)
- newZeroGlyphVisAttr :: MonadIO m => m GlyphVisAttr
- getGlyphVisAttrIsClusterStart :: MonadIO m => GlyphVisAttr -> m Word32
- setGlyphVisAttrIsClusterStart :: MonadIO m => GlyphVisAttr -> Word32 -> m ()
- getGlyphVisAttrIsColor :: MonadIO m => GlyphVisAttr -> m Word32
- setGlyphVisAttrIsColor :: MonadIO m => GlyphVisAttr -> Word32 -> m ()

# Exported types

newtype GlyphVisAttr Source #

Memory-managed wrapper type.

Constructors

GlyphVisAttr (ManagedPtr GlyphVisAttr) |

#### Instances

Instances details

Eq GlyphVisAttr Source # |
Instance details Defined in GI.Pango.Structs.GlyphVisAttr Methods (==) :: GlyphVisAttr -> GlyphVisAttr -> Bool Source # (/=) :: GlyphVisAttr -> GlyphVisAttr -> Bool Source #
BoxedPtr GlyphVisAttr Source # |
Instance details Defined in GI.Pango.Structs.GlyphVisAttr Methods boxedPtrCopy :: GlyphVisAttr -> IO GlyphVisAttr Source # boxedPtrFree :: GlyphVisAttr -> IO () Source #
CallocPtr GlyphVisAttr Source # |
Instance details Defined in GI.Pango.Structs.GlyphVisAttr Methods boxedPtrCalloc :: IO (Ptr GlyphVisAttr) Source #
ManagedPtrNewtype GlyphVisAttr Source # |
Instance details Defined in GI.Pango.Structs.GlyphVisAttr Methods toManagedPtr :: GlyphVisAttr -> ManagedPtr GlyphVisAttr Source #
tag ~ 'AttrSet => Constructible GlyphVisAttr tag Source # |
Instance details Defined in GI.Pango.Structs.GlyphVisAttr Methods new :: MonadIO m => (ManagedPtr GlyphVisAttr -> GlyphVisAttr) -> [AttrOp GlyphVisAttr tag] -> m GlyphVisAttr Source #

newZeroGlyphVisAttr :: MonadIO m => m GlyphVisAttr Source #

Construct a `GlyphVisAttr` struct initialized to zero.

# Methods

# Properties

## isClusterStart

set for the first logical glyph in each cluster.

getGlyphVisAttrIsClusterStart :: MonadIO m => GlyphVisAttr -> m Word32 Source #

Get the value of the “`is_cluster_start`” field. When overloading is enabled, this is equivalent to

    get glyphVisAttr #isClusterStart

setGlyphVisAttrIsClusterStart :: MonadIO m => GlyphVisAttr -> Word32 -> m () Source #

Set the value of the “`is_cluster_start`” field. When overloading is enabled, this is equivalent to

    set glyphVisAttr [ #isClusterStart := value ]

## isColor

set if the the font will render this glyph with color. Since 1.50

getGlyphVisAttrIsColor :: MonadIO m => GlyphVisAttr -> m Word32 Source #

Get the value of the “`is_color`” field. When overloading is enabled, this is equivalent to

    get glyphVisAttr #isColor

setGlyphVisAttrIsColor :: MonadIO m => GlyphVisAttr -> Word32 -> m () Source #

Set the value of the “`is_color`” field. When overloading is enabled, this is equivalent to

    set glyphVisAttr [ #isColor := value ]